Bug 1025003 - vbetool required by /usr/lib/pm-utils/sleep.d/99video but not installed as dependence of pm-utils
vbetool required by /usr/lib/pm-utils/sleep.d/99video but not installed as de...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pm-utils (Show other bugs)
6.6
Unspecified Unspecified
medium Severity high
: rc
: ---
Assigned To: Jaroslav Škarvada
Desktop QE
:
Depends On:
Blocks: 994246 1075802 1172231 1269194 1356044
  Show dependency treegraph
 
Reported: 2013-10-30 14:00 EDT by Eduardo Minguez
Modified: 2016-07-28 15:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-28 15:13:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduardo Minguez 2013-10-30 14:00:02 EDT
Description of problem:
pm-suspend executes the scripts located in /usr/lib64/sleep.d/. One of them shutdowns the screen by using vbetool, but it's missing, so when the computer is suspended, an error appears in /var/log/pm-suspend.log about that utility missing.


Version-Release number of selected component (if applicable):
pm-utils-1.2.5-10


How reproducible:
Install/upgrade pm-utils and check about the vbetool installation (rpm -qa | grep -i vbetool)


Steps to Reproduce:
1. Install pm-utils
2. Check for vbetool package installed

Actual results:
vbetool is missing

Expected results:
vbetool is installed

Additional info:
Comment 5 Jaroslav Škarvada 2014-11-03 09:01:03 EST
Vbetool was dropped, video resume should be supported by KMS. Is the only problem the error message in the log? In such case we could drop the 99video plugin.
Comment 6 Eduardo Minguez 2014-11-03 09:12:53 EST
I don't know about implications of removing 99video plugin, but at least a less worrying message log would be fine.
Comment 7 Jaroslav Škarvada 2014-11-03 09:39:04 EST
(In reply to Eduardo Minguez from comment #6)
> I don't know about implications of removing 99video plugin, but at least a
> less worrying message log would be fine.

OK, this is the most safe. Currently the plugin is bypassed thus it is not needed, but there may be users having installed vbetool from other sources.

Note You need to log in before you can comment on or make changes to this bug.